Skip to main content
GET
Search deployments across the tenant

Authorizations

Authorization
string
header
required

All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.

Query Parameters

environments
string[]

Filter by environment names (exact match, any of)

types
enum<string>[]

Filter by deploy types: DEPLOY, ROLLBACK, SCALE, RESTART

Available options:
DEPLOY,
SCALE,
ROLLBACK,
RESTART
entityTagOrIds
string[]

Filter to these entity tags or CIDs (any of)

timestampAfter
string<date-time>

Only deploys at or after this timestamp (UTC, e.g. 2026-06-22T00:00:00)

timestampBefore
string<date-time>

Only deploys at or before this timestamp (UTC, e.g. 2026-06-22T00:00:00)

pageSize
integer<int32>
default:250
required

Number of results to return per page, between 1 and 1000. Default 250.

page
integer<int32>
default:0
required

Page number to return, 0-indexed. Default 0.

Response

OK

deployments
object[]
required
page
integer<int32>
required

Current page number, 0-indexed

total
integer<int32>
required

Total number of results

totalPages
integer<int32>
required

Total number of pages

Last modified on September 29, 2026